commit:     1b9effa122ca6c82507092ea06f8cefd595e556b
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 15:15:32 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 15:15:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b9effa1

dev-python/botocore: add version 1.4.25

Package-Manager: portage-2.3.0_rc1

 dev-python/botocore/Manifest               |  1 +
 dev-python/botocore/botocore-1.4.25.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 3268fec..9408e62 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.3.22.tar.gz 2349601 SHA256 
02a6d320b09179bc5dcbafd4be732d9431bfe
 DIST botocore-1.4.17.tar.gz 2474986 SHA256 
bc4113758dabc3015b12054d906e48e0ef8457d14a392f647ed730204506bd8b SHA512 
2b08c8fdd04efdbb75cd4c5b1df7d44768959eedd2e9c3a4b3294dcce9471e4a87650d4c95f97de918f07d1a554d3cebf098f249b72c5f651cbae91f23c4d2b6
 WHIRLPOOL 
1f247a324b9bd547229e7b6ab1db7202c3cf020f31c8e33da01b3bbb57d32f59f992882ebd9c651cd2fbddb92e75e62aa56f90227edf6792448bae6d4adcf6c0
 DIST botocore-1.4.19.tar.gz 2487426 SHA256 
7fdc3445996eb9331c003d2e1e62a5ce8b44d0173977a33e614a04dd6084e882 SHA512 
960ad670609bc0c10b772b92c9f8c152924552d4537b1f1af8ba1e01d6b684fb2b0a1da10ca8e9c4f7031d295f121025162bc57f64a6cd1925e1e9c8b5d0cfdd
 WHIRLPOOL 
c01eb33be221272220d8980245e93efade873dc17877333a90d4c7d4bb7578a057543fb58a92dfefd4e8addae717500b7e1362521cfdbefc6518a294e2e17a77
 DIST botocore-1.4.22.tar.gz 2495807 SHA256 
9807c405e85ed5af817529b04194150cfe37277bbf6879cff1a9c9b5d75311ef SHA512 
6c0c37404ef202031d336af197b1fde1434b0f8f5eda0537edc5a45a0f53ba9619443c2d6d5d31d8b0804f6c517a7b202f8af2d144e9dff159d3e43b3c395172
 WHIRLPOOL 
3a3f5b42c88a1663503ff9bd5f47311ec7a0b23012897b9c8dbb65ab00ae3a889babadfea04d38c34f4196124a9345cc280f44525b433e153a9e6fb3dd65e8be
+DIST botocore-1.4.25.tar.gz 2498910 SHA256 
1b67bb78a1ebd0ffe9daf5ee33196b7c02a196c9b46799b9a2c35237ebd77fe2 SHA512 
afca40e06af741cc05a06b16ee1f4c42a6a83ef8c055e8c8caac75ab65614dd187632ca2910068ad8c528e0fd7c0c5ba02bd35b1634f6274580186c23cf15855
 WHIRLPOOL 
f0e563bf6da5b2b879811155dfe97cc5f8a07377c2c9d4d464870beb9b2d6ab8e5c7ea8c860551756e9ce8e0f1268aa1e1e36f9d9f5a1f438086b5242f2a7689

diff --git a/dev-python/botocore/botocore-1.4.25.ebuild 
b/dev-python/botocore/botocore-1.4.25.ebuild
new file mode 100644
index 0000000..9c57e33
--- /dev/null
+++ b/dev-python/botocore/botocore-1.4.25.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to